#ifndef _COPYSELECTION_H_
#define _COPYSELECTION_H_

#include "operation.h"

class Element;
class Compound;
class Table;
class Reference;

/** This operation copies the selection to an internal memory
 */
class CopySelection : public Operation
{
 private:
  Table * _oldTable;
  Table * _delete;

 public:
  CopySelection();
  CopySelection(const CopySelection&);
  ~CopySelection();

  void undo();
  void redo();

  virtual ostream & print(int,ostream&) const;
  virtual void flush(const char*) const;
  virtual Element * copy() const;
};



#endif
